#!/bin/bash

guest_halt_poll_ns=800000
guest_halt_poll_grow_start=200000

if [ "$1" == "start" ]; then
    modprobe cpuidle-haltpoll
    if [ -e /sys/module/cpuidle_haltpoll/parameters/ ]; then
        echo $guest_halt_poll_ns > /sys/module/cpuidle_haltpoll/parameters/guest_halt_poll_ns
        echo $guest_halt_poll_grow_start > /sys/module/cpuidle_haltpoll/parameters/guest_halt_poll_grow_start
    elif [ -e /sys/module/haltpoll/parameters/ ]; then
        echo $guest_halt_poll_ns > /sys/module/haltpoll/parameters/guest_halt_poll_ns
        echo $guest_halt_poll_grow_start > /sys/module/haltpoll/parameters/guest_halt_poll_grow_start
    fi
fi
